ID

VAR-202309-0280


CVE

CVE-2023-41217


TITLE

D-Link DIR-3040 prog.cgi SetQuickVPNSettings Password Stack-Based Buffer Overflow Remote Code Execution Vulnerability

Trust: 0.7

sources: ZDI: ZDI-23-1325

DESCRIPTION

D-Link DIR-3040 prog.cgi SetQuickVPNSettings Password Stack-Based Buffer Overflow Remote Code Execution Vulnerability. This vulnerability allows network-adjacent attackers to execute arbitrary code on affected installations of D-Link DIR-3040 routers. Authentication is required to exploit this vulnerability. The specific flaw exists within the prog.cgi binary, which handles HNAP requests made to the lighttpd webserver listening on TCP ports 80 and 443. The issue results from the lack of proper validation of a user-supplied string before copying it to a fixed-length stack-based buffer. An attacker can leverage this vulnerability to execute code in the context of root. Was ZDI-CAN-21617

Trust: 1.53

sources: NVD: CVE-2023-41217 // ZDI: ZDI-23-1325

AFFECTED PRODUCTS

vendor:d linkmodel:dir-3040scope: - version: -

Trust: 0.7

sources: ZDI: ZDI-23-1325

CVSS

SEVERITY

CVSSV2

CVSSV3

zdi-disclosures@trendmicro.com: CVE-2023-41217
value: HIGH

Trust: 1.0

ZDI: CVE-2023-41217
value: HIGH

Trust: 0.7

zdi-disclosures@trendmicro.com:
baseSeverity: HIGH
baseScore: 7.1
vectorString: CVSS:3.0/AV:A/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
attackVector: ADJACENT_NETWORK
attackComplexity: HIGH
privilegesRequired: LOW
userInteraction: NONE
scope: UNCHANGED
confidentialityImpact: HIGH
integrityImpact: HIGH
availabilityImpact: HIGH
exploitabilityScore: 1.2
impactScore: 5.9
version: 3.0

Trust: 1.0

ZDI: CVE-2023-41217
baseSeverity: HIGH
baseScore: 7.1
vectorString: AV:A/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
attackVector: ADJACENT
attackComplexity: HIGH
privilegesRequired: LOW
userInteraction: NONE
scope: UNCHANGED
confidentialityImpact: HIGH
integrityImpact: HIGH
availabilityImpact: HIGH
exploitabilityScore: 1.2
impactScore: 5.9
version: 3.0

Trust: 0.7

sources: ZDI: ZDI-23-1325 // NVD: CVE-2023-41217

PROBLEMTYPE DATA

problemtype:CWE-121

Trust: 1.0

sources: NVD: CVE-2023-41217

PATCH

title:D-Link has issued an update to correct this vulnerability.url:https://supportannouncement.us.dlink.com/announcement/publication.aspx?name=sap10350

Trust: 0.7

sources: ZDI: ZDI-23-1325

EXTERNAL IDS

db:NVDid:CVE-2023-41217

Trust: 1.7

db:ZDIid:ZDI-23-1325

Trust: 1.7

db:DLINKid:SAP10350

Trust: 1.0

db:ZDI_CANid:ZDI-CAN-21617

Trust: 0.7

sources: ZDI: ZDI-23-1325 // NVD: CVE-2023-41217

REFERENCES

url:https://supportannouncement.us.dlink.com/announcement/publication.aspx?name=sap10350

Trust: 1.7

url:https://www.zerodayinitiative.com/advisories/zdi-23-1325/

Trust: 1.0

sources: ZDI: ZDI-23-1325 // NVD: CVE-2023-41217

CREDITS

Peter Girnus, Nicholas Zubrisky

Trust: 0.7

sources: ZDI: ZDI-23-1325

SOURCES

db:ZDIid:ZDI-23-1325
db:NVDid:CVE-2023-41217

LAST UPDATE DATE

2024-05-04T22:41:53.074000+00:00


SOURCES UPDATE DATE

db:ZDIid:ZDI-23-1325date:2023-09-07T00:00:00
db:NVDid:CVE-2023-41217date:2024-05-03T12:49:24.027

SOURCES RELEASE DATE

db:ZDIid:ZDI-23-1325date:2023-09-07T00:00:00
db:NVDid:CVE-2023-41217date:2024-05-03T03:15:33.650